## org.gnu.gtk
Class ShadowType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.ShadowType

public class ShadowType
extends Enum

Used to change the appearance of an outline typically provided by a `Frame`.

     GTK_SHADOW_NONE
     No outline.
     GTK_SHADOW_IN
     The outline is bevelled inwards.
     GTK_SHADOW_OUT
     The outline is bevelled outwards like a button.
     GTK_SHADOW_ETCHED_IN
     The outline itself is an inward bevel, but the frame does
     GTK_SHADOW_ETCHED_OUT

TODO: update doc

Field Summary
`static ShadowType` `ETCHED_IN`
`static ShadowType` `ETCHED_OUT`
`static ShadowType` `IN`
`static ShadowType` `NONE`
`static ShadowType` `OUT`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`ShadowType` `and(ShadowType other)`
`static ShadowType` `intern(int value)`
`ShadowType` `or(ShadowType other)`
`boolean` `test(ShadowType other)`
`ShadowType` `xor(ShadowType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final ShadowType NONE

### IN

    public static final ShadowType IN

### OUT

    public static final ShadowType OUT

### ETCHED_IN

    public static final ShadowType ETCHED_IN

### ETCHED_OUT

    public static final ShadowType ETCHED_OUT

Method Detail

### intern

    public static ShadowType intern(int value)

### or

    public ShadowType or(ShadowType other)

### and

    public ShadowType and(ShadowType other)

### xor

    public ShadowType xor(ShadowType other)

### test

    public boolean test(ShadowType other)